## libbigwig 0.4.2+dfsg

=== debian/changelog ===
libbigwig (0.4.2+dfsg-2) unstable; urgency=medium

  * Fixed FTBFS - missing dependency
  * Added Debian Med as maintainer

 -- Steffen Moeller <moeller@debian.org>  Mon, 06 May 2019 10:34:49 +0200

libbigwig (0.4.2+dfsg-1) UNRELEASED; urgency=medium

  * Initial release (Closes: 928400)
  * New upstream release

 -- Steffen Moeller <moeller@debian.org>  Fri, 03 May 2019 18:42:40 +0200
