=== debian/control ===
Source: libbigwig
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11), libcurl4-gnutls-dev|libcurl-dev, zlib1g-dev
Build-Depends-Indep: doxygen
Standards-Version: 4.3.0
Section: libs
Homepage: https://github.com/dpryan79/libBigWig/
Vcs-Browser: https://salsa.debian.org/med-team/libbigwig
Vcs-Git: https://salsa.debian.org/med-team/libbigwig.git

Package: libbigwig0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: curl
Description: C library for handling bigWig files
 This package provides a C library for reading/parsing local and remote
 bigWig and bigBed files.  This library was refurbished to particularly
 suit to be wrapped by scripting languages by avoiding early bailouts
 in case of errors.

Package: libbigwig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbigwig0 (= ${binary:Version}), ${misc:Depends}
Description: C library for handling bigWig files - header files
 This package provides the files needed to develop with the libBigWig
 C library for reading/parsing local and remote bigWig and bigBed files.

Package: libbigwig-doc
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Description: C library for handling bigWig files - documentation
 This package provides the doxygen-created inline documentation needed
 to develop with the libBigWig C library for reading/parsing local and
 remote bigWig and bigBed files.
