=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_build-indep:
	$(MAKE) doc

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
	#mv $(CURDIR)/debian/tmp/usr/lib/*so* $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
	mv *.so.* $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
	# This is a symbolic link, not a copy
	mv *.so $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)

override_dh_auto_test:
	echo "W: Not testing - depending on online resources"

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs
	rm -rf libBigWig*so*
