=== debian/watch ===
version=4
opts="dversionmangle=auto,oversionmangle=s/$/+dfsg/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libbigwig-$1.tar.gz%" \
   https://github.com/dpryan79/libBigWig/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
