## libbigwig 0.4.4+dfsg

=== debian/changelog ===
libbigwig (0.4.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/copyright
  * Remove patches pythonVersion.patch that are missing from
    debian/patches/series.

 -- Steffen Moeller <moeller@debian.org>  Thu, 05 Dec 2019 12:36:34 +0100
