=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,9 @@
 	mv *.so $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo "W: Not testing - depending on online resources"
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean
