=== debian/changelog ===
libbigwig (0.4.6+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Feb 2022 08:35:08 +0100

libbigwig (0.4.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix team address
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Mar 2020 22:57:35 +0100
