=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libbigwig
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libcurl4-gnutls-dev|libcurl-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/libbigwig
 Vcs-Git: https://salsa.debian.org/med-team/libbigwig.git
 Homepage: https://github.com/dpryan79/libBigWig/
+Rules-Requires-Root: no
 
 Package: libbigwig0
 Architecture: any
@@ -38,6 +39,7 @@
 Architecture: all
 Section: libdevel
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: C library for handling bigWig files - documentation
  This package provides the doxygen-created inline documentation needed
  to develop with the libBigWig C library for reading/parsing local and
