=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,11 @@
 	mv *.so.* $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
 	# This is a symbolic link, not a copy
 	mv *.so $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
+	mv $(CURDIR)/debian/tmp/usr/lib/*.a $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)/
+
+override_dh_missing:
+	rm -f debian/tmp/usr/lib/libBigWig.so
+	dh_missing
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
