=== debian/changelog ===
libbigwig (0.4.7+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Disable autopkgtest for i386,s390

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 10 Sep 2022 13:03:51 +0530

libbigwig (0.4.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add autopkgtests
  * Fix blhc failure

 -- Mohammed Bilal <mdbilal@disroot.org>  Mon, 29 Aug 2022 17:36:17 +0000

libbigwig (0.4.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Add symbols file
  * Delete unneeded debian/*.dirs files
  * Use d-shlibs
  * Standards-Version: 4.6.1 (routine-update)
  * Update symbols file

 -- Andreas Tille <tille@debian.org>  Thu, 25 Aug 2022 07:59:07 +0200
