=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libbigwig
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: libs
+Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               d-shlibs,
                libcurl4-gnutls-dev|libcurl-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libbigwig
 Vcs-Git: https://salsa.debian.org/med-team/libbigwig.git
 Homepage: https://github.com/dpryan79/libBigWig/
@@ -15,6 +16,7 @@
 
 Package: libbigwig0
 Architecture: any
+Section: libs
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
