=== debian/changelog ===
libbigwig (0.4.8+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/control: move the -docs package to the docs section.

  [ Steffen Möller ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
    Set upstream metadata fields: Registry.
  * Fixed borked d/u/metadata
  * Binary package name libbigwig0t64 to libbigwig0
  * added d/.gitignore

 -- Steffen Moeller <moeller@debian.org>  Fri, 22 Aug 2025 16:01:25 +0200

libbigwig (0.4.7+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062229

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 08:50:16 +0000
