=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               d-shlibs,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+               d-shlibs (>= 0.106~),
                libcurl4-gnutls-dev|libcurl-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libbigwig
 Vcs-Git: https://salsa.debian.org/med-team/libbigwig.git
 Homepage: https://github.com/dpryan79/libBigWig/
 Rules-Requires-Root: no
 
 Package: libbigwig0
+Provides: ${t64:Provides}
+Replaces: libbigwig0
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -39,7 +41,7 @@
 
 Package: libbigwig-doc
 Architecture: all
-Section: libdevel
+Section: doc
 Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: C library for handling bigWig files - documentation
