=== debian/tests/control ===
Tests: run-unit-test
Depends: @, libcurl-dev, zlib1g-dev ,gcc
Restrictions: allow-stderr
Architecture: !s390x !i386
